curl --request PUT \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"rpid": 12345683,
"cp_name_cart": "An updated CP name",
"rp_name_cart": "An updated RP name",
"rp_pic_url": "https://img.valuechecker.net/200x,---.jpg",
"rp_price_date": "2024-05-07 10:13:44",
"replacement_cost_value": 638.95,
"date_damage": "2024-05-07",
"date_purchase": "2024-05-01",
"cp_price_estimate": 650,
"claimed_amount": 650,
"offer_id": 123,
"shop_name": "Some shop - Global",
"shop_url": "https://www.some.shop/path"
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}"
payload = {
"rpid": 12345683,
"cp_name_cart": "An updated CP name",
"rp_name_cart": "An updated RP name",
"rp_pic_url": "https://img.valuechecker.net/200x,---.jpg",
"rp_price_date": "2024-05-07 10:13:44",
"replacement_cost_value": 638.95,
"date_damage": "2024-05-07",
"date_purchase": "2024-05-01",
"cp_price_estimate": 650,
"claimed_amount": 650,
"offer_id": 123,
"shop_name": "Some shop - Global",
"shop_url": "https://www.some.shop/path"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rpid: 12345683,
cp_name_cart: 'An updated CP name',
rp_name_cart: 'An updated RP name',
rp_pic_url: 'https://img.valuechecker.net/200x,---.jpg',
rp_price_date: '2024-05-07 10:13:44',
replacement_cost_value: 638.95,
date_damage: '2024-05-07',
date_purchase: '2024-05-01',
cp_price_estimate: 650,
claimed_amount: 650,
offer_id: 123,
shop_name: 'Some shop - Global',
shop_url: 'https://www.some.shop/path'
})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}{
"error": "Appraisal id 239055 was not found",
"event_code": "ERNFAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"appraisal_id\" value",
"description": "The appraisal_id \"239055\" was not found"
}
}Modify Specific Appraisal
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
The appraisal identifier.
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Body
This is the Replacement Product Identifier. The previous response should have one or more Replacement Products. You should take the value from whichever product you select from field grouped_prices.[Y].[X].pid (where X is the numbered product of the Y numbered group).
Custom name for the claimed product (the cpid cannot be changed).
Custom name for the replacement product.
Modified product price.
0.01The value claimed by the policyholder (Purchase Price / Repair).
0.01Response
OK
The response is of type object.